Bug 241767 - textproc/py-chardet: Incorrectly BUILD_DEPENDS on pytest
Summary: textproc/py-chardet: Incorrectly BUILD_DEPENDS on pytest
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords: easy, needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-11-06 21:30 UTC by Enji Cooper
Modified: 2019-12-20 11:56 UTC (History)
1 user (show)

See Also:
rm: maintainer-feedback+
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2019-11-06 21:30:41 UTC
textproc/py-chardet requires a pytest package to build, when in reality it’s not required, except for test [1]. The dependency should be moved to TEST_DEPENDS.

1. https://svnweb.freebsd.org/ports/head/textproc/py-chardet/Makefile?revision=498530&view=markup#l17
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-08 03:54:50 UTC
Confirmed, the dependency is only added when setup.py argument is test, pytest or ptr.

@Enji This change proposal (patch and QA pending) is:

Approved by: portmgr (blanket(s): ports (python) compliance, dependency fix)
MFH: 2019Q4 (blanket: ports/dependency fix)
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2019-11-13 10:59:19 UTC
Feel free to commit this change. Thank you and sorry for late response.
Comment 3 commit-hook freebsd_committer 2019-12-08 23:05:20 UTC
A commit references this bug:

Author: rm
Date: Sun Dec  8 23:04:56 UTC 2019
New revision: 519582
URL: https://svnweb.freebsd.org/changeset/ports/519582

Log:
  textproc/py-chardet: drop uncoditional pytest dependency

  Dependency on pytest-runner is only used when setup.py is called
  with `test` target, so drop it from BUILD_DEPENDS.

  PR:		241767
  Submitted by:	ngie
  Reviewed by:	koobs
  MFH:		2019Q4

Changes:
  head/textproc/py-chardet/Makefile
Comment 4 commit-hook freebsd_committer 2019-12-08 23:10:22 UTC
A commit references this bug:

Author: rm
Date: Sun Dec  8 23:09:59 UTC 2019
New revision: 519583
URL: https://svnweb.freebsd.org/changeset/ports/519583

Log:
  MFH: r519582

  textproc/py-chardet: drop uncoditional pytest dependency

  Dependency on pytest-runner is only used when setup.py is called
  with `test` target, so drop it from BUILD_DEPENDS.

  PR:		241767
  Submitted by:	ngie
  Reviewed by:	koobs

  Approved by:	portmgr (blanket: ports/dependency fix)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/textproc/py-chardet/Makefile
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2019-12-08 23:11:37 UTC
Committed, thank you!